GeographicLib: GeographicLib Namespace Reference

GeographicLib 2.5.2

Loading...
Searching...
No Matches
GeographicLib Namespace Reference

Namespace for GeographicLib. More...

## Namespaces
namespace | experimental

## Classes
class | Accumulator
| An accumulator for sums. More...
class | AlbersEqualArea
| Albers equal area conic projection. More...
class | AuxAngle
| An accurate representation of angles. More...
class | AuxLatitude
| Conversions between auxiliary latitudes. More...
class | AzimuthalEquidistant
| Azimuthal equidistant projection. More...
class | CassiniSoldner
| Cassini-Soldner projection. More...
class | CircularEngine
| Spherical harmonic sums for a circle. More...
class | Constants
| Constants needed by GeographicLib More...
class | DAuxLatitude
| Divided differences of auxiliary latitudes. More...
class | DMS
| Convert between degrees and the DMS representation. More...
class | DST
| Discrete sine transforms. More...
class | Ellipsoid
| Properties of an ellipsoid. More...
class | EllipticFunction
| Elliptic integrals and functions. More...
class | GARS
| Conversions for the Global Area Reference System (GARS) More...
class | Geocentric
| Geocentric coordinates More...
class | GeoCoords
| Conversion between geographic coordinates. More...
class | Geodesic
| Geodesic calculations More...
class | GeodesicExact
| Exact geodesic calculations. More...
class | GeodesicLine
| A geodesic line. More...
class | GeodesicLineExact
| An exact geodesic line. More...
class | GeographicErr
| Exception handling for GeographicLib. More...
class | Geohash
| Conversions for geohashes. More...
class | Geoid
| Looking up the height of the geoid above the ellipsoid. More...
class | Georef
| Conversions for the World Geographic Reference System (georef) More...
class | Gnomonic
| Gnomonic projection More...
class | GravityCircle
| Gravity on a circle of latitude. More...
class | GravityModel
| Model of the earth's gravity field. More...
class | Intersect
| Geodesic intersections More...
class | LambertConformalConic
| Lambert conformal conic projection. More...
class | LocalCartesian
| Local cartesian coordinates. More...
class | MagneticCircle
| Geomagnetic field on a circle of latitude. More...
class | MagneticModel
| Model of the earth's magnetic field. More...
class | Math
| Mathematical functions needed by GeographicLib. More...
class | MGRS
| Convert between UTM/UPS and MGRS. More...
class | NearestNeighbor
| Nearest-neighbor calculations. More...
class | NormalGravity
| The normal gravity of the earth. More...
class | OSGB
| Ordnance Survey grid system for Great Britain. More...
class | PolarStereographic
| Polar stereographic projection. More...
class | PolygonAreaT
| Polygon areas. More...
class | Rhumb
| Solve of the direct and inverse rhumb problems. More...
class | RhumbLine
| Find a sequence of points on a single rhumb line. More...
class | SphericalEngine
| The evaluation engine for SphericalHarmonic. More...
class | SphericalHarmonic
| Spherical harmonic series. More...
class | SphericalHarmonic1
| Spherical harmonic series with a correction to the coefficients. More...
class | SphericalHarmonic2
| Spherical harmonic series with two corrections to the coefficients. More...
class | TransverseMercator
| Transverse Mercator projection. More...
class | TransverseMercatorExact
| An exact implementation of the transverse Mercator projection. More...
class | Utility
| Some utility routines for GeographicLib. More...
class | UTMUPS
| Convert between geographic coordinates and UTM/UPS. More...

## Functions
template<>
std::string | Utility::val< std::string > (const std::string &s)
template<>
std::string | Utility::str< Math::real > (Math::real x, int p)

## Detailed Description

Namespace for GeographicLib.

All of GeographicLib is defined within the GeographicLib namespace. In addition all the header files are included via GeographicLib/Class.hpp. This minimizes the likelihood of conflicts with other packages.

## Function Documentation

## ◆ Utility::val< std::string >()

template<>

std::string GeographicLib::Utility::val< std::string > | ( | const std::string & | s | ) |
| inline

The specialization of Utility::val<T>() for strings.

Parameters

  [in] | s | the string to be converted.

Exceptions

  GeographicErr | is s is not readable as a T.

Returns
  the string trimmed of its whitespace.

Definition at line 578 of file Utility.hpp.

References GeographicLib::Utility::val().

## ◆ Utility::str< Math::real >()

template<>

std::string GeographicLib::Utility::str< Math::real > | ( | Math::real | x,
|  | int | p )
| inline

Convert a Math::real object to a string.

Parameters

  [in] | x | the value to be converted.
  [in] | p | the precision used (default −1).

Exceptions

  std::bad_alloc | if memory for the string can't be allocated.

Returns
  the string representation.

If p ≥ 0, then the number fixed format is used with p bits of precision. With p < 0, there is no manipulation of the format. This is an overload of str<T> which deals with inf and nan.

Definition at line 646 of file Utility.hpp.

References GeographicLib::Utility::str().